- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.mdi.MDIChildWindow<> Class Reference

The smjg.libs.sdwf.mdi.MDIChildWindow template implements some operations on MDI child windows. More...

List of all members.

## Public Member Functions
override void | create ()
override void | close (int exitCode=ID.CLOSE)
| Calls confirmClose, and if it returns `true`, closes the child window.
override void | focus ()
| Makes this window active within the MDI frame.
MDIFrameWindow | parentFrame ()
| The MDI frame window containing this child window.
## Protected Member Functions
override int | defaultProcessMessage (uint message, uint wParam, int lParam)
int | mdiChildPredef (uint message, uint wParam, int lParam, WindowBase receivedVia, out bool swallow)

## Detailed Description

The smjg.libs.sdwf.mdi.MDIChildWindow template implements some operations on MDI child windows.

The ChildWindow and ChildFrameWindow class include this template as a mixin.

Since:
  0.5

## Member Function Documentation

override void smjg.libs.sdwf.mdi.MDIChildWindow<>.create | ( |  | ) |

override void smjg.libs.sdwf.mdi.MDIChildWindow<>.close | ( | int | exitCode = `ID.CLOSE` | ) |

Calls confirmClose, and if it returns `true`, closes the child window.

Parameters:

  | exitCode | not applicable to MDIChildWindow.

Status:
  done

override void smjg.libs.sdwf.mdi.MDIChildWindow<>.focus | ( |  | ) |

Makes this window active within the MDI frame.

Status:
  done

override int smjg.libs.sdwf.mdi.MDIChildWindow<>.defaultProcessMessage | ( | uint | message,
|  | uint | wParam,
|  | int | lParam |
| ) |  |  | `[protected]`

MDIFrameWindow smjg.libs.sdwf.mdi.MDIChildWindow<>.parentFrame | ( |  | ) |

The MDI frame window containing this child window.

int smjg.libs.sdwf.mdi.MDIChildWindow<>.mdiChildPredef | ( | uint | message,
|  | uint | wParam,
|  | int | lParam,
|  | WindowBase | receivedVia,
|  | out bool | swallow |
| ) |  |  | `[protected]`

The documentation for this class was generated from the following file:

- mdi.d